#version 150
precision highp float;

in vec3 in_Position;
out vec4 uv;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
layout(std140) uniform AudioBlock {
	vec4 audio[64];
};
#define AUDIO(f) audio[int((f)*63.9999)]

void vert() {
	uv = vec4(in_Position.xy*vec2(screenX/screenY,1),(in_Position.xy*.5+.5)*vec2(screenX,screenY));
	gl_Position = vec4(in_Position,1);
}
void frag() {
	vec3 rd = normalize(vec3(uv.xy,1.));
	float s = 0.;
	for (float t = 1.; t < 300.; t += t) {
		vec3 p = rd*t+999.;
		float d = 1e8;
		for (float f = 1.; f < 8.; f += f) d = min(d,length(mod(p,f*2.)-f)-f*AUDIO(.95-f/9.).y);
		s += max(0.,1.-max(0.,d)*10.);
	}
	gl_FragColor = vec4(s*.15);
}
