#version 330
precision highp float;

in vec3 in_Position;
out vec2 uv;
out float time;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
#define screen vec2(screenX,screenY)

void vert() {
	uv = in_Position.xy;
	time = float(frame)/float(framerate);
	gl_Position = vec4(in_Position,1);
}
void frag() {
	vec2 pc = vec2(atan(uv.y, uv.x), length(uv));
	vec4 sc = vec4(0, 0, 0, 1);
	for (float x = 1.; x < 10.; x++) {
		sc.xyz += (sin(pc.x*vec3(33.,44.,55.)*x+x*.1248+sin(time*(5.+x*2.)+(30.0+x*30.)/(1.+pc.y)))*.5+.5);
	}
	gl_FragColor = sc*pc.y*.1;
}
