#version 150
precision highp float;

in vec3 in_Position;
out vec2 uv;
out float time;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};

uniform sampler2D Buffer0;

void vert() {
	time = float(frame)/float(framerate);
	uv = in_Position.xy;
	gl_Position = vec4(in_Position,1);
}
void frag() {
	float circle = length(uv-sin(time*vec2(1,.7))*.5)-.05;
	gl_FragColor = mix(vec4(max(0.,1.-max(0.,circle)*40.)),texture(Buffer0,uv*.5+.5),.9);
}
