#version 150
precision highp float;

in vec3 in_Position;
out vec4 uv;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
layout(std140) uniform AudioBlock {
	vec4 audio[64];
};
#define AUDIO(f) audio[int((f)*63.9999)]

uniform sampler2D Buffer0;

float sa(float x) {
	x *= 63.999;
	float f = floor(x);
	return mix(audio[int(f)].y,audio[int(min(63.,f+1.))].y,x-f);
}

void vert() {
	uv = vec4(in_Position.xy,(in_Position.xy*.5+.5)*vec2(screenX,screenY));
	gl_Position = vec4(in_Position,1);
}
void frag() {
	gl_FragColor = mix(vec4(min((abs(uv.y-sa(uv.x*.5+.5)*2.+1.)-.05)*10.,1.)),texelFetch(Buffer0,ivec2(uv.zw),0),.92);
}
