#version 330
precision highp float;

in vec3 in_Position;
out vec2 uv;
out float time;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
#define screen vec2(screenX,screenY)

float squares(vec2 uv) {
	vec2 rp = mod(abs(uv)*10.,2.)-1.,
		bd = abs(rp)-.8;
	return max(0.,1.-abs(max(bd.x,bd.y))*8.);
}

void vert() {
	time = float(frame)/float(framerate);
	uv = in_Position.xy*vec2(screen.x/screen.y,1)+time*vec2(.01,.02);
	gl_Position = vec4(in_Position,1);
}
void frag() {
	gl_FragColor = pow(vec4(squares(uv+.6),squares(uv+sin(floor(time*vec2(2.,3.16))+1.6)*.01),squares(uv+sin(floor(time*vec2(10.34,2.49)))*.01),1),vec4(2.));
}
