#version 330
precision highp float;

in vec3 in_Position;
out vec2 uv;
out float time;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
#define screen vec2(screenX,screenY)

void vert() {
	uv = (in_Position.xy*.5+.5)*screen;
	time = float(frame)/float(framerate);
	gl_Position = vec4(in_Position,1);
}
void frag() {
    //o += 1.-fract((u.y*.02+u.x*.4)*fract(u.x*.61)+iDate.w)*7.-o;
	gl_FragColor = vec4(1.-fract((uv.y*.02+uv.x*.4)*fract(uv.x*.61)+time)*7.);
}
