#version 330
precision highp float;

in vec3 in_Position;
out vec2 u;
out float time;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
#define screen vec2(screenX,screenY)

void vert() {
	u = in_Position.xy*100.*vec2(1,screenY/screenX);
	time = float(frame)/float(framerate);
	gl_Position = vec4(in_Position,1);
}
void frag() {
    #define a fract(atan(u.y,u.x)*3.18
   	gl_FragColor = vec4(vec3(max(a)-.5,
             a+cos(length(u*.1))*.2+1.)-.5)),1);
}
