#version 150
precision highp float;

in vec3 in_Position;
out vec2 uv;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
layout(std140) uniform AudioBlock {
	vec4 audio[64];
};
#define AUDIO(f) audio[int((f)*63.9999)]

void vert() {
	uv = in_Position.xy;
	gl_Position = vec4(in_Position,1);
}
void frag() {
	gl_FragColor = vec4(step(AUDIO(uv.x*.5+.5),vec4(uv.y*.5+.5)));
}
